Custom Domain docs
API referenceSecure

Mark a connection's certificate for renewal

POST
/connections/{id}/ssl:renew

Records the operator-requested renew and surfaces renewing. The edge's autocert manager performs the actual renewal ahead of expiry.

Authorization

AuthorizationBearer <token>

Short-lived widget JWT minted server-side via POST /v1/tokens. Scoped to one application (and optionally one domain).

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connections/string/ssl:renew"
{  "certificate": {    "id": "string",    "domain": "string",    "application_id": "string",    "status": "pending",    "issuer": "string",    "not_before": "2019-08-24T14:15:22Z",    "not_after": "2019-08-24T14:15:22Z",    "last_error": "string",    "managed": true,    "renew_after": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}